org.apache.tinkerpop.gremlin.algorithm.generator

## Class DistributionGenerator.Builder

- java.lang.Object
- - org.apache.tinkerpop.gremlin.algorithm.generator.AbstractGenerator.AbstractGeneratorBuilder<DistributionGenerator.Builder>
  - - org.apache.tinkerpop.gremlin.algorithm.generator.DistributionGenerator.Builder

- Enclosing class:
    DistributionGenerator

      public static final class DistributionGenerator.Builder
      extends AbstractGenerator.AbstractGeneratorBuilder<DistributionGenerator.Builder>

- - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.algorithm.generator.AbstractGenerator.AbstractGeneratorBuilder

      `edgeProcessor, label, seedSupplier, vertexProcessor`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `allowLoops(boolean allowLoops)` Sets whether loops, i.e.
    `DistributionGenerator` | `create()`
    `DistributionGenerator.Builder` | `expectedNumEdges(int expectedNumEdges)`
    `DistributionGenerator.Builder` | `inDistribution(Distribution distribution)` Sets the distribution to be used to generate the out-degrees of vertices.
    `DistributionGenerator.Builder` | `inVertices(Iterable<Vertex> vertices)`
    `DistributionGenerator.Builder` | `outDistribution(Distribution distribution)` Sets the distribution to be used to generate the sizes of communities.
    `DistributionGenerator.Builder` | `outVertices(Iterable<Vertex> vertices)`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.algorithm.generator.AbstractGenerator.AbstractGeneratorBuilder

      `edgeProcessor, label, seedGenerator, vertexProcessor`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### inVertices

          public DistributionGenerator.Builder inVertices(Iterable<Vertex> vertices)

    - #### outVertices

          public DistributionGenerator.Builder outVertices(Iterable<Vertex> vertices)

    - #### expectedNumEdges

          public DistributionGenerator.Builder expectedNumEdges(int expectedNumEdges)

    - #### allowLoops

          public void allowLoops(boolean allowLoops)

      Sets whether loops, i.e. edges with the same start and end vertex, are allowed to be generated.

    - #### outDistribution

          public DistributionGenerator.Builder outDistribution(Distribution distribution)

      Sets the distribution to be used to generate the sizes of communities.

    - #### inDistribution

          public DistributionGenerator.Builder inDistribution(Distribution distribution)

      Sets the distribution to be used to generate the out-degrees of vertices.

    - #### create

          public DistributionGenerator create()

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.